local anim8 = require 'engine/libs/anim8'
local object = require 'engine/object'

Animator = class()

function Animator:__init(fullWidth, fullHeight)
  self.animationGrid = anim8.newGrid(object.width, object.height, fullWidth, fullHeight)

  self.walk_up = anim8.newAnimation(self.animationGrid('1-9', 1), 0.1)
  self.walk_left = anim8.newAnimation(self.animationGrid('1-9', 2), 0.1)
  self.walk_down = anim8.newAnimation(self.animationGrid('1-9', 3), 0.1)
  self.walk_right = anim8.newAnimation(self.animationGrid('1-9', 4), 0.1)
end

